/*
** Prototypen und Konstantendefinitionen fr a[rsc]printf()
**
** V1.1, (c) 1990, 1991 Marcel Waldvogel
*/

#define APRINTF_BUFSIZE 200
/* 5*30 Bytes Text, 3*10 Bytes Buttons plus noch ein bisschen Zugemse */

int aprintf(int button, char *format, ...);
/*
** Wie [sf]printf, der Output kommt allerdings in einen Alert mit
** Defaultbutton button. Rckgabewert: gewhlter Button.
*/

int afreeprintf(int button, int freenum, ...);
/*
** Wie aprintf, nimmt aber keinen konstanten Formatstring, sondern den
** Index des zustndigen Alertstrings aus der Resourcedatei entgegen.
*/

void aprintf_prepare(char *buf);
/*
** Verdoppelt im String alle '|' und ']'.
** VORSICHT: Dadurch kann der String u.U. bis doppelt so lang werden!
*/
